Package com.netrics.likeit

## Interface NetricsCompoundRecSrc

- All Superinterfaces:
    `NetricsBaseRecSrc`
  All Known Implementing Classes:
    `NetricsCompoundReader`, `NetricsTableCursorCompoundRecSrc`

      public interface NetricsCompoundRecSrc
      extends NetricsBaseRecSrc

  Defines how compound records (parent plus children) are passed in the API. When a constructor or method needs a set of compound records it expects an object that implements this interface. By creating a class that implements this interface the user can feed joined-records from any source directly into the API.
  See Also:
    `NetricsCompoundReader`, `NetricsBaseRecSrc`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.lang.String>` | `getChildTables()` | return a list of child table names used.
    `NetricsCompoundRecord` | `getNext()` | Returns the next record.
    `java.lang.String` | `getParentTable()` |

    - ### Methods inherited from interface com.netrics.likeit.NetricsBaseRecSrc

      `hasNext, reset`

- - ### Method Detail

    - #### getNext

          NetricsCompoundRecord getNext()
                                 throws NetricsRecSrcException

      Returns the next record. We restrict the return value to NetricsCompoundRecord instead of the base NetricsBaseRecord.
      Specified by:
        `getNext` in interface `NetricsBaseRecSrc`
      Returns:
        the next record
      Throws:
        `NetricsRecSrcException` - if an error occurs, or if there are no more records.

    - #### getParentTable

          java.lang.String getParentTable()

      Returns:
        the parent/primary table name for the compound record.

    - #### getChildTables

          java.util.List<java.lang.String> getChildTables()

      return a list of child table names used. This list represents all possible child tables. Any particular compound record returned may not contain child records for all of these tables.
      Returns:
        the list of child table names.